/*! 
	\file un.h
	\author GOIGOUX Lucie & JEUDI--LEMOINE Alix
	\date 22/12/22
	\brief Partie 1 de la SAE 1.02

	Application de gestion des candidature dans les IUT de France
*/

#define LEN_MAX 30

typedef struct MaillonDept {
  char departement[LEN_MAX];
  int nbP;
  char responsable[LEN_MAX];
  struct MaillonDept* suiv;
} MaillonDept;

typedef MaillonDept* ListeDept;

typedef struct {
  char ville[LEN_MAX];
  ListeDept ldept;
} VilleIUT;

void identificationCandidat(int* id, ListeCandidats* listePointer, int* nbCandidats);

void titreMenuPrincipal(void);
void menuCandidat(VilleIUT*** tiutPointer, ListeCandidats* listePointer, int* nbVilles, int* nbCandidats);
void menuResponsable(VilleIUT*** tiutPointer, ListeCandidats* listePointer, int* nbVilles, int* nbCandidats);
void menuAdmin(VilleIUT*** tiutPointer, ListeCandidats* listePointer, int* nbVilles, int* nbCandidats);
void menuPrincipal(void);

VilleIUT* creerVille(void);
void ajouterVille(VilleIUT*** tiutPointer, VilleIUT* ville, int* nbVilles);
int rechercherVille(VilleIUT** tiut, int nbVilles, char* searchIUT); // Retourne index de la ville
void afficherListeVilles(VilleIUT** tiut, int nbVilles);

ListeDept creerListeDepartement(void);
int afficherListeDepartement(VilleIUT** tiut, int nbVilles, char* searchIUT);
void afficherDepartement(VilleIUT** tiut, int nbVilles, char* searchDept);
MaillonDept* creerDepartement(char* departement, int nbP, char* responsable);
ListeDept ajouterDepartement(ListeDept ldept, MaillonDept* dept);
ListeDept supprimerDepartement(ListeDept ldept, char* searchDept);
void modifierNbPlaces(VilleIUT** tiut, int nbVilles, char* searchIUT, char* searchDept, int nb);
void modifierNomResponsable(VilleIUT** tiut, int nbVilles, char* searchIUT, char* searchDept, char* nom);

void saveVilles(VilleIUT* tiut[], int nbVilles);
VilleIUT** readVilles(int* nbVilles);

int readStatus(void);
void saveStatus(int status);

void test(void);